@import "/src/variables.scss";

.window-container {
  --focused: 5;
  --opened: 4;
  --selected-shadow: 5px 5px 5px rgba(0, 0, 0, 0.2);

  width: 100%;
  height: 100%;
  border: 2px solid var(--window-border-color);
  border-radius: 10px;
  background-color: var(--colors-second-background);
  overflow: hidden;
  position: relative;
  z-index: var(--opened);
  box-shadow: none;
  color: var(--colors-text);
}

.window-header {
  width: 100%;
  height: 30px;
  background-color: var(--colors-second-background);
  z-index: 3;

  .window-logo {
    width: 20px;
    height: 20px;
    display: inline-block;
    position: absolute;
    top: 5px;
    left: 5px;
  }

  .window-title {
    color: var(--colors-text);
    position: absolute;
    top: 5px;
    left: 30px;
  }

  .window-message {
    color: var(--colors-text);
    position: absolute;
    left: 50%;
    top: 5px;
    transform: translate(-50%, 0);
  }

  .header-buttons {
    display: inline-block;
    position: absolute;
    left: 100%;
    height: 30px;
    transform: translate(-105%, 0);
    width: max-content;

    .header-button {
      width: 26px;
      height: 26px;
      border-radius: 13px;
      transition: background-color 150ms;
      margin: 2px;
      color: var(--colors-text);
      line-height: 26px;
      text-align: center;
      display: inline-block;
      position: relative;

      &:hover {
        background-color: rgba(255, 255, 255, 0.2);
      }

      .icon {
        position: absolute;
        transform: translate(-50%, 5%);
      }

      .minimize {
        position: absolute;
        top: -25%;
        transform: translateX(-50%);
      }
    }

    .header-actions {
      position: absolute;
      top: 120%;
      display: none;
      background-color: var(--colors-second-background);
      width: max-content;
      height: max-content;
      transform: translateX(-100%);
      left: 100%;
      pointer-events: none;

      .action {
        width: 100%;
        height: 30px;
        display: flex;
        margin: 5px 0;
        border-radius: 4px;

        mat-icon {
          height: 100%;
          width: 30px;
          line-height: 30px;
          text-align: center;
          color: var(--colors-text);
          margin-right: 5px;
        }

        span {
          line-height: 30px;
          margin-right: 5px;
          text-align: center;
        }

        &:hover {
          background-color: var(--colors-first-background);
        }
      }

      &.visible {
        display: block;
        pointer-events: auto;
      }
    }
  }
}

.content {
  position: relative;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(100% - 30px);
  overflow: hidden;
  z-index: -1;
}
